<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>UI documentation</title>
		<link rel="icon" href="images/favicon.ico" type="image/x-icon">
		
		<link href="https://fonts.googleapis.com/css?family=PT+Sans+Narrow:700|Roboto+Slab:400,700" rel="stylesheet">
		<!--<link href="https://cdn.muicss.com/mui-latest/css/mui.min.css" rel="stylesheet" type="text/css" />-->
		<!-- Font Awesome -->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css">
		<!-- Bootstrap core CSS -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
		<!-- Material Design Bootstrap -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/css/mdb.min.css" rel="stylesheet">
		<link href="css/fontello.css" rel="stylesheet" type="text/css" />
		<link href="https://unpkg.com/normalize.css@^4.1.1" rel="stylesheet" />
		<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	
		<link href="https://unpkg.com/@blueprintjs/core@^1.11.0/dist/blueprint.css" rel="stylesheet" />
		<link href="css/font-awesome.css" rel="stylesheet" />
		<link href="css/blueprint-grid.min.css" rel="stylesheet" />
		<link rel="stylesheet" href="https://unpkg.com/tippy.js@4/themes/light.css" />
	
	
		<link href="css/style.css" rel="stylesheet" />
		<link href="css/notyf.min.css" rel="stylesheet" />
		<link href="css/select2.css" rel="stylesheet" />
		
		
		
		<link href="css/ui-demo.css" rel="stylesheet" type="text/css" />
		
		<!-- JQuery -->
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Bootstrap tooltips -->
		<script>
			$(document).ready(function(){ 
				$.get("menu.html", function(data){
					$("#menu").replaceWith(data);
				});
			});
		</script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.4/umd/popper.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/js/mdb.min.js"></script>
		<!--<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
		<script src="https://cdn.muicss.com/mui-latest/js/mui.min.js"></script>-->
		<script src="js/jquery.waypoints.min.js"></script>
		<script src="js/ui-demo.js"></script>
	</head>
	<body id="noscroll">
		<script src="js/helper.js"></script>
		<script src="js/select2.js"></script>
		<script src="js/time-period.js"></script>
		<script src="js/helper-menu.js"></script>
		
		<header id="header">
			<nav class="navbar navbar-dark bg-primary">
				<span class="navbar-brand h1"></span>
			</nav>
		</header>
		<div id="sidedrawer">
			<div id="menu"></div>
		</div>
		
		<div id="content-wrapper">
			<div class="p-4 mt-0"></div>
			<div class="container">
				
				<h2 class="ui">Components</h2>
				<div class="search-container card mb-4 p-3">
					<h3 class="ui">Search bar</h3>
					<div class="example">
						<img src="images/nav-secondary.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">background: Secondary accent-3;
height: 45px;
width: 100%;
-webkit-box-shadow: 0 3px 5px 0 rgba(0,0,0,0.2);
box-shadow: 0 3px 5px 0 rgba(0,0,0,0.2);
border-bottom: 1px solid Neutral lighten-5;
color: white;
font-size: 14px;
</code></pre>
						</div>
						<div class="col-md-6">
							Secondary bar
							<ul>
								<li>uses the fixed width container inside the full width blue bar</li>
								<li>Hides the main search items</li>
								<li>New search or Browse scrolls to top to make main search visible</li>
								<li>Only visible when you scroll down and main search is out of screen, but from that point secondary bar is fixed on top.</li>
								<li>Hidden on mobile view</li>
							</ul>
						</div>
					</div>
					<hr>
					<div class="example">
						<img src="images/nav-primary.png" class="img-fluid">
						<img src="images/nav-primary-grid.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">background: Secondary accent-3;
box-shadow: 0 0 0 1px rgba(16, 22, 26, 0.1), 0 0 0 rgba(16, 22, 26, 0), 0 1px 1px rgba(16, 22, 26, 0.2);</code></pre>
						</div>
						<div class="col-md-6">
							Main bar
							<ul>
								<li>uses the fixed width container inside the full width blue bar</li>
								<li>nested grid</li>
								<!--<li></li>-->
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<hr>
					<div class="example">
						<img src="images/nav-primary-search.png" class="img-fluid">
						<img src="images/nav-primary-search-hover.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Search bar:
background: primary - dark;
padding: 15px;
border-radius: 4px;
font-size: 16px;

Active state:
background: highlight-1;</code></pre>
						</div>
						<div class="col-md-6">
							Main bar - search
							<ul>
								<li>changes color when active</li>
								<li>button inside input</li>
								<!--<li></li>-->
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<hr>
					<div class="example">
						<img src="images/nav-primary-box.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Box:
padding: 20px;
background: Neutral lighten-5;
text-align: left;
box-shadow: 0 5px 10px rgba(0, 0, 0, 0.5);
margin: 10px 0 10px 0;

List items:
margin: 0;
line-height: 20px;
padding: 10px;
color: primary;

List item hover/active:
background: default - light;
color: primary;</code></pre>
						</div>
						<div class="col-md-6">
							Main bar - facets, dropdown box
							<ul>
								<li>3 column order</li>
								<li>box size aligns with search input bar width</li>
								<!--<li></li>-->
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<hr>
					<div class="example">
						<img src="images/nav-primary-box2.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">List item plus text:
color: TXT - light;
font-size: 12px;</code></pre>
						</div>
						<div class="col-md-6">
							
						</div>
					</div>
					<hr>
					<div class="example">
						<img src="images/nav-primary-box-icons.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">List item icons:
color: Body;
font-size: 14px;</code></pre>
						</div>
						<div class="col-md-6">
							
						</div>
					</div>
					<hr>
					<div class="example">
						<img src="images/nav-primary-edge1.png" class="img-fluid">
						<img src="images/nav-primary-edge2-open.png" class="img-fluid">
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html">Facet buttons:
margin: 1px 1%;</code></pre>
						</div>
						<div class="col-md-6">
							Main bar - facets, edge cases
							<ul>
								<li>facet button is always maximum 3 col width</li>
								<li>the dropdown box shows always in the content area (under the main bar)</li>
								<li>the position of the facet buttons (centered or left aligned) can be configured in the theme</li>
								<!--<li></li>-->
							</ul>
						</div>
					</div>
					<hr>
					<h4>Mobile view</h4>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light"><img src="images/nav-primary-mobile.png" class="img-fluid"></div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light"><img src="images/nav-primary-mobile-open.png" class="img-fluid"></div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light"><img src="images/nav-primary-mobile-open-search.png" class="img-fluid"></div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light"><img src="images/nav-primary-mobile-open-facet.png" class="img-fluid"></div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-6">
							<div class="example text-center bg-light"><img src="images/nav-primary-mobile-open-facet2.png" class="img-fluid"></div>
						</div>
						<div class="col-md-6">
							<pre><code class="language-html" data-lang="html"></code></pre>
						</div>
						
					</div>
				</div>
			</div>
		</div>
		<footer id="footer">
			<div class="container">
				xxx
			</div>
		</footer>
	</body>
</html>